
package cn.timer.api.dto.crm;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author wuqingjun
 * @version 1.0
 * @Description: 所有客户头部统计
 * @date 2023年8月10日
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CrmClientDataCountDto implements Serializable {

    private static final long serialVersionUID = 3241644321635711234L;
    /**
     * 客户总数
     */
    private Integer crmCount;
    /**
     * 1-潜在客户总数
     */
    private Integer crmCount1;
    /**
     * 2-意向客户总数
     */
    private Integer crmCount2;
    /**
     * 3-签约客户总数
     */
    private Integer crmCount3;
    /**
     * 4-合作中客户总数
     */
    private Integer crmCount4;
    /**
     * 5-已封档客户总数
     */
    private Integer crmCount5;
    /**
     * 今日新增客户数量
     */
    private Integer todayCrmCount;
    /**
     * 昨日新增客户数量
     */
    private Integer yesterdayCrmCount;
    /**
     * 近30天未跟进数量,5-已封档不统计
     */
    private Integer last30DaysFollowCount;
    /**
     * 近60天未跟进数量,5-已封档不统计
     */
    private Integer last60DaysFollowCount;
    /**
     * 近90天未跟进数量,5-已封档不统计
     */
    private Integer last90DaysFollowCount;
    /**
     * 近180天未跟进数量,5-已封档不统计
     */
    private Integer last180DaysFollowCount;
    /**
     * 签约转化率
     */
    private double crmSignRate;
    /**
     * 合作转化率
     */
    private double crmPartnerRate;
    /**
     * 流失率
     */
    private double crmLossRate;
    /**
     * 今日新增跟进数量
     */
    private Integer todayFollowCount;
    /**
     * 昨日新增跟进数量
     */
    private Integer yesterdayFollowCount;
    /**
     * 姓名
     */
    private String userName;
    /**
     * 手机号码
     */
    private String phone;
    /**
     * 手机号码
     */
    private String headUrl;

}
